# ServiceNow

{% hint style="info" %}
The content of this documentation is under revision and may change. We appreciate your understanding as we work to improve it.
{% endhint %}

**ServiceNow** interacts with ServiceNow through its REST API.

## **Parameters**

Take a look at the configuration options for the component. Parameters supported by [Double Braces expressions](https://docs.digibee.com/documentation/connectors-and-triggers/double-braces/overview) are marked with `(DB)`.

### **General tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Dynamic Account</strong></td><td>When active, the connector will use the account dynamically. Otherwise, it will use the account statically.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Account Name</strong> <code>(DB)</code></td><td>The name of the dynamic account used by the connector. This account must have been previously configured in a <a href="../tools/store-account"><strong>Store Account</strong></a> connector in the pipeline for this process to take effect. It is only available if the <strong>Dynamic Account</strong> parameter is active.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Account</strong></td><td>The account used by the connector. It is only available if the <strong>Dynamic Account</strong> parameter is inactive.</td><td>N/A</td><td>Account</td></tr><tr><td><strong>Instance Name</strong> <code>(DB)</code></td><td>The ServiceNow instance name.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Fail On Error</strong></td><td>If the option is activated, the pipeline's execution with an error will be interrupted. Otherwise, the pipeline execution proceeds, but the result will show a false value for the <code>"success"</code> property.</td><td>False</td><td>Boolean</td></tr></tbody></table>

### **Optional tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Display</strong></td><td>Set this parameter to <code>true</code> to return only scorecards where the indicator Display field is selected. Set this parameter to <code>all</code> to return scorecards with any value in the Display field. The default value is <code>true</code>.</td><td>True</td><td>String</td></tr><tr><td><strong>Display Value</strong></td><td>Returns the display value (<code>true</code>), actual value (<code>false</code>), or both (<code>all</code>) for reference fields (default: <code>false</code>).</td><td>False</td><td>String</td></tr><tr><td><strong>Exclude Reference Link</strong></td><td>Set to <code>true</code> to exclude Table API links for reference fields (default: <code>false</code>).</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Favorites</strong></td><td>Set this parameter to <code>true</code> to return only scorecards that are favorites of the querying user.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Aggregates</strong></td><td>Set this parameter to <code>true</code> to return all available aggregates for an indicator, even if an aggregate has already been applied. If not specified, it defaults to <code>false</code> and returns no aggregates.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Available Aggregates</strong></td><td>Set this parameter to <code>true</code> to return all available aggregates for an indicator when no aggregate has been applied. If not specified, it defaults to <code>false</code> and returns no aggregates.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Available Breakdowns</strong></td><td>Set this parameter to <code>true</code> to return all available breakdowns for an indicator. If not specified, it defaults to <code>false</code> and returns no breakdowns.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Score Notes</strong></td><td>Set this parameter to <code>true</code> to return all notes associated with the score. The note element includes the note text, author, and timestamp when the note was added.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Scores</strong></td><td>Set this parameter to <code>true</code> to return all scores for a scorecard. If not specified, it defaults to <code>false</code> and returns only the most recent score value.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Input Display Value</strong></td><td>Set to <code>true</code> to use the raw value of input fields (default: <code>false</code>).</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Key</strong></td><td>Set this parameter to <code>true</code> to return only scorecards for key indicators.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Models</strong> <code>(DB)</code></td><td>Defines both the request and response models.</td><td>N/A</td><td>JSON</td></tr><tr><td><strong>Per Page</strong></td><td>Enter the maximum number of scorecards each query can return. The default value is <code>10</code>, with a maximum of <code>100</code>.</td><td>10</td><td>Number</td></tr><tr><td><strong>Release</strong></td><td>The ServiceNow release to target, default is Helsinki. See <a href="https://docs.servicenow.com">https://docs.servicenow.com</a>.</td><td>HELSINKI</td><td>String</td></tr><tr><td><strong>Request Models</strong> <code>(DB)</code></td><td>Defines the request model.</td><td>N/A</td><td>JSON</td></tr><tr><td><strong>Resource</strong> <code>(DB)</code></td><td>The default resource, can be overridden by the header <code>CamelServiceNowResource</code>.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Response Models</strong> <code>(DB)</code></td><td>Defines the response model.</td><td>N/A</td><td>JSON</td></tr><tr><td><strong>Sort By</strong></td><td>Specify the field to use when sorting results. By default, queries sort records by value.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Sort Dir</strong></td><td>Specify the sort direction, ascending or descending. By default, queries sort records in descending order. Use <code>sysparm_sortdir=asc</code> to sort in ascending order.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Suppress Auto Sys Field</strong></td><td>Set to <code>true</code> to suppress the auto-generation of system fields (default: <code>false</code>).</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Suppress Pagination Header</strong></td><td>Set to <code>true</code> to remove the Link header from the response. The Link header allows requesting additional pages of data when the number of records exceeds the query limit.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Table</strong> <code>(DB)</code></td><td>The default table, can be overridden by the header <code>CamelServiceNowTable</code>.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Target</strong></td><td>Set this parameter to <code>true</code> to return only scorecards that have a target.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Top Level Only</strong></td><td>Retrieves only categories whose parent is a catalog.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Api Version</strong> <code>(DB)</code></td><td>The ServiceNow REST API version, default is the latest.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Date Format</strong> <code>(DB)</code></td><td>The date format used for JSON serialization/deserialization.</td><td>yyyy-MM-dd</td><td>String</td></tr><tr><td><strong>Date Time Format</strong> <code>(DB)</code></td><td>The date-time format used for JSON serialization/deserialization.</td><td>yyyy-MM-dd HH:mm:ss</td><td>String</td></tr><tr><td><strong>Retrieve Target Record On Import</strong></td><td>Set this parameter to <code>true</code> to retrieve the target record when using the import set API. The import set result is replaced by the target record.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Time Format</strong> <code>(DB)</code></td><td>The time format used for JSON serialization/deserialization.</td><td>HH:mm:ss</td><td>String</td></tr><tr><td><strong>Body</strong></td><td>The body, if applicable.</td><td><code>{}</code></td><td>JSON</td></tr></tbody></table>

### **Headers tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Resource</strong> <code>(DB)</code></td><td>The resource to be accessed.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Action</strong> <code>(DB)</code></td><td>The action to be performed.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Action Subject</strong> <code>(DB)</code></td><td>The subject of the action.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Model</strong> <code>(DB)</code></td><td>Defines the data model.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Request Model</strong> <code>(DB)</code></td><td>Defines the request data model.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Response Model</strong> <code>(DB)</code></td><td>Defines the response data model.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Content Type</strong> <code>(DB)</code></td><td>The type of the content.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Content Meta</strong> <code>(DB)</code></td><td>Metadata associated with the content.</td><td>N/A</td><td>JSON</td></tr><tr><td><strong>Response Meta</strong> <code>(DB)</code></td><td>Metadata associated with the response.</td><td>N/A</td><td>JSON</td></tr><tr><td><strong>Api Version</strong> <code>(DB)</code></td><td>The version of the REST API.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Response Type</strong> <code>(DB)</code></td><td>The type of the response.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Retrieve Target Record</strong></td><td>Set this parameter to <code>true</code> to retrieve the target record.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Table</strong> <code>(DB)</code></td><td>The default table to be accessed.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Sys Id</strong> <code>(DB)</code></td><td>The system ID (sys_id) of the target record.</td><td>N/A</td><td>String</td></tr><tr><td><strong>User SysId</strong> <code>(DB)</code></td><td>The system ID (sys_id) of the user.</td><td>N/A</td><td>String</td></tr><tr><td><strong>User Id</strong> <code>(DB)</code></td><td>The user’s ID.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Cart Item Id</strong> <code>(DB)</code></td><td>The cart item ID.</td><td>N/A</td><td>String</td></tr><tr><td><strong>File Name</strong> <code>(DB)</code></td><td>The name of the file.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Table Sys Id</strong> <code>(DB)</code></td><td>The system ID (sys_id) of the table.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Encryption Context</strong> <code>(DB)</code></td><td>The context for encryption.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Category</strong> <code>(DB)</code></td><td>The sys_param category.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Type</strong> <code>(DB)</code></td><td>The sys_param type.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Catalog</strong> <code>(DB)</code></td><td>The sys_param catalog.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Query</strong> <code>(DB)</code></td><td>The sys_param query.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Display Value</strong> <code>(DB)</code></td><td>Returns the display value (<code>true</code>), actual value (<code>false</code>), or both (<code>all</code>) for reference fields.</td><td>False</td><td>String</td></tr><tr><td><strong>Input Display Value</strong></td><td>Set this parameter to <code>true</code> to use the raw value of input fields.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Exclude Reference Link</strong></td><td>Set to <code>true</code> to exclude Table API links for reference fields.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Fields</strong> <code>(DB)</code></td><td>The sys_param fields to retrieve.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Limit</strong></td><td>The sys_param limit for query results.</td><td>N/A</td><td>Number</td></tr><tr><td><strong>Text</strong> <code>(DB)</code></td><td>The sys_param text.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Offset</strong></td><td>The sys_param offset for pagination.</td><td>N/A</td><td>Number</td></tr><tr><td><strong>View</strong> <code>(DB)</code></td><td>The sys_param view.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Suppress Auto Sys Field</strong></td><td>Set to <code>true</code> to suppress auto-generation of system fields.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Suppress Pagination Header</strong></td><td>Set to <code>true</code> to remove the Link header from the response, which enables requesting additional pages of data.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Min Fields</strong> <code>(DB)</code></td><td>The sys_param min fields to retrieve.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Max Fields</strong> <code>(DB)</code></td><td>The sys_param max fields to retrieve.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Sum Fields</strong> <code>(DB)</code></td><td>The sys_param sum fields to calculate.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Avg Fields</strong> <code>(DB)</code></td><td>The sys_param avg fields to calculate.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Count</strong></td><td>Set to <code>true</code> to return a count of the records.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Group By</strong> <code>(DB)</code></td><td>The sys_param group by fields for aggregation.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Order By</strong> <code>(DB)</code></td><td>The sys_param order by fields for sorting.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Having</strong> <code>(DB)</code></td><td>The sys_param having clause for filtering aggregated results.</td><td>N/A</td><td>String</td></tr><tr><td><strong>UUID</strong> <code>(DB)</code></td><td>The sys_param UUID.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Breakdown</strong> <code>(DB)</code></td><td>The sys_param breakdown field.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Include Scores</strong></td><td>Set this parameter to <code>true</code> to return all scores for a scorecard. If not specified, only the most recent score will be returned.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Score Notes</strong></td><td>Set this parameter to <code>true</code> to return all notes associated with a score, including text, author, and timestamp.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Aggregates</strong></td><td>Set this parameter to <code>true</code> to return all available aggregates, even if an aggregate has already been applied.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Available Breakdowns</strong></td><td>Set this parameter to <code>true</code> to return all available breakdowns for an indicator.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Include Available Aggregates</strong></td><td>Set this parameter to <code>true</code> to return all available aggregates when no aggregate has been applied.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Favorites</strong></td><td>Set this parameter to <code>true</code> to return only scorecards that are marked as favorites by the querying user.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Key</strong></td><td>Set this parameter to <code>true</code> to return only scorecards for key indicators.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Target</strong></td><td>Set this parameter to <code>true</code> to return only scorecards that have a target.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Display</strong> <code>(DB)</code></td><td>Set this parameter to <code>true</code> to return scorecards where the Display field is selected. Use <code>all</code> to return scorecards with any value in the Display field.</td><td>True</td><td>String</td></tr><tr><td><strong>Per Page</strong></td><td>Specify the maximum number of scorecards to return in a query. Default is 10, with a maximum of 100.</td><td>10</td><td>Number</td></tr><tr><td><strong>Sort By</strong> <code>(DB)</code></td><td>Specify the field to use for sorting results. By default, records are sorted by value.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Sort Dir</strong> <code>(DB)</code></td><td>Specify the sort direction: ascending or descending. By default, results are sorted in descending order. Use <code>sysparm_sortdir=asc</code> for ascending.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Contains</strong> <code>(DB)</code></td><td>The sys_param contains clause.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Tags</strong> <code>(DB)</code></td><td>The sys_param tags for categorizing records.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Page</strong> <code>(DB)</code></td><td>The sys_param page number for pagination.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Elements Filter</strong> <code>(DB)</code></td><td>The sys_param elements filter.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Breakdown Relation</strong> <code>(DB)</code></td><td>The sys_param breakdown relation.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Data Source</strong> <code>(DB)</code></td><td>The sys_param data source to query.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Top Level Only</strong></td><td>Set to <code>true</code> to return only categories whose parent is a catalog.</td><td>False</td><td>Boolean</td></tr></tbody></table>

### **Documentation tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Section for documenting any necessary information about the connector configuration and business rules.</td><td>N/A</td><td>String</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/enterprise-applications/servicenow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
